<template>
  <div id="wrapper">
    <ul class="navbar-nav bg-gradient-primary sidebar sidebar-dark accordion" id="accordionSidebar">
      <!-- Sidebar - Brand -->
      <a class="sidebar-brand d-flex align-items-center justify-content-center" href="index.html">
        <div class="sidebar-brand-icon rotate-n-15">
          <i class="fas fa-laugh-wink"></i>
        </div>
        <div class="sidebar-brand-text mx-3">
          SB Admin
          <sup>2</sup>
        </div>
      </a>

      <!-- Divider -->
      <hr class="sidebar-divider" />

      <!-- Nav Item - Pages Collapse Menu - Posts-->
      <li class="nav-item">
        <a
          class="nav-link collapsed"
          href="#"
          data-toggle="collapse"
          data-target="#collapseTwo"
          aria-expanded="true"
          aria-controls="collapseTwo"
        >
          <i class="fas fa-fw fa-cog"></i>
          <span>Posts</span>
        </a>
        <div
          id="collapseTwo"
          class="collapse"
          aria-labelledby="headingTwo"
          data-parent="#accordionSidebar"
        >
          <div class="bg-white py-2 collapse-inner rounded">
            <a class="collapse-item" href="/admin/all-posts">All Posts</a>
            <a class="collapse-item" href="/admin/new-post">Add New</a>
          </div>
        </div>
      </li>

      <hr class="sidebar-divider" />

      <!-- Sidebar Toggler (Sidebar) -->
      <div class="text-center d-none d-md-inline">
        <button class="rounded-circle border-0" id="sidebarToggle" @click="onSidebarToggleClick()"></button>
      </div>
    </ul>

    <div id="content-wrapper" class="d-flex flex-column">
      <div id="content">
        <top-nav-bar />
        <router-view></router-view>
      </div>
    </div>
  </div>
</template>

<script>
import TopNavBar from "../admin/TopNavBar";

export default {
  name: "AdminHomePage.vue",
  components: {
    TopNavBar // top-nav-bar
  },
  data() {
    return {
      arrowClass: "fas fa-angle-double-left"
    };
  },
  methods: {
    onSidebarToggleClick() {
      // Show/hide side bar
      global.$("body").toggleClass("sidebar-toggled");
      global.$(".sidebar").toggleClass("toggled");
      if (global.$(".sidebar").hasClass("toggled")) {
        global.$(".collapse").removeClass("show");
      }
    }
  }
};
</script>

<style>
</style>
